package com.atguigu.ssyx.common.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

@Configuration
@Slf4j
public class WebMvcConfiguration implements WebMvcConfigurer {
    /**
     * * 解决跨域
     *
     * @param registry 跨域注册表
     */
    @Override
    public void addCorsMappings(CorsRegistry registry) {
        log.info("WebMvcConfiguration===>开始跨域注册表...");

        registry.addMapping("/admin/**")// 添加路径规则
                .allowCredentials(true)// 是否允许在跨域的情况下传递Cookie
                .allowedOrigins("*")// 允许请求来源的域规则
                .allowedMethods("*").allowedHeaders("*");// 允许所有的请求头
    }
}