package com.atguigu.ssyx.acl.service.impl;

import com.atguigu.ssyx.acl.mapper.RoleMapper;
import com.atguigu.ssyx.acl.service.RoleService;
import com.atguigu.ssyx.model.acl.Role;
import com.atguigu.ssyx.vo.acl.RoleQueryVo;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class RoleServiceImpl extends ServiceImpl<RoleMapper, Role> implements RoleService {
    @Override
    public IPage<Role> selectPage(Long page, Long limit, RoleQueryVo vo) {
        Page<Role> roleParam = new Page<>(page, limit);
        // 获取条件值
        String roleName = vo.getRoleName();
        // 创建mp对象
        LambdaQueryWrapper<Role> wrapper = new LambdaQueryWrapper<>();
        // 判断条件值是否为空
        if (!StringUtils.isEmpty(roleName)) {
            wrapper.like(Role::getRoleName, roleParam);
        }
        // 调用犯法实现分页查询
        return baseMapper.selectPage(roleParam, wrapper);
    }
}
